h1 {
  padding: 0 30px;
}
.fonds {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
.fond-ciel {
    min-height: 100%;
    min-width: 100%;
}
.fond-blanc {
    opacity: .7;
    background-color: #fff;
}
.parapet, .fond-banquise {
    z-index: 1;
    position: fixed;
    bottom: 40px;
    min-height: 25vh;
    width: 100%;
    pointer-events: none;
}
.fond-banquise {
  --trans: 1;
  display: flex;
  align-items: center;
  bottom: 8vh;
  transform: translateY(calc(5vh * var(--trans)));
  filter: drop-shadow(#000 -19px 14px 12px);
}

.fond {
    position: absolute;
}
.fond-ciel picture, .parapet picture, .fond-banquise picture {
    position: absolute;
    height: 100%;
    width: 100%;
}
.fond-ciel img, .parapet img, .fond-banquise img {
    min-height: 100%;
    min-width: 100%;
    object-fit: cover;
    object-position: top;
}
.fond-ciel picture {
    position: absolute;
}

@keyframes fly1 {
  0% {
    left: 100vw
  }
  100% {
    left: -8vw
  }
}
@keyframes fly2 {
  0% {
    left: -8vw;
    transform: scale(.8) rotateY(180deg)
  }
  100% {
    left: 100vw;
    transform: scale(.8) rotateY(180deg)
  }
}
@keyframes fly3 {
  0% {
    left: 100vw;
    transform: scale(.9)
  }
  100% {
    left: -8vw;
    transform: scale(.9)
  }
}
@keyframes fly4 {
  0% {
    left: -8vw;
    transform: scale(.7) rotateY(180deg)
  }
  100% {
    left: 100vw;
    transform: scale(.7) rotateY(180deg)
  }
}
.mannekenfly {
  --temps1: 20;
  --pause1: 15;
  --temps2: 30;
  --pause2: 15;
  --temps3: 25;
  --pause3: 15;
  --temps4: 35;
  position: absolute;
  bottom: 20vh;
  left: 100vw;
  transform: scale(1);
  animation: fly1 calc(var(--temps1) * 1s) forwards linear, fly2 calc(var(--temps2) * 1s) calc(calc(var(--temps1) + var(--pause1)) * 1s) forwards linear, fly3 calc(var(--temps3) * 1s) calc(calc(var(--temps1) + var(--pause1) + var(--temps2) + var(--pause2)) * 1s) forwards linear, fly4 calc(var(--temps4) * 1s) calc(calc(var(--temps1) + var(--pause1) + var(--temps2) + var(--pause2) + var(--temps3) + var(--pause3)) * 1s) forwards linear;
}
@keyframes oscill {
  0% {
    transform: translateY(0);
  }
  25% {
    transform: translateY(-20%);
  }
  75% {
    transform: translateY(20%);
  }
  100% {
    transform: translateY(0);
  }
}
.mannekenfly video {
  --duree: 10;
  --nb: calc(calc(var(--temps1) + var(--pause1) + var(--temps2) + var(--pause2) + var(--temps3) + var(--pause3) + var(--temps4)) / var(--duree));
  width: 7vh;
  transform: translateY(0);
  animation: oscill calc(var(--duree) * 1s) var(--nb) linear;
}

.parapet-image {
  position: absolute;
  transform: translateY(30%) scale(1);
  transform-origin: bottom center;
  height: 100%;
  width: 100%;
}
.parapet picture {
  position: relative;
}
.parapet img {
  object-position: top left;
}
.devant-parapet {
  position: absolute;
  height: 20vh;
  min-height: unset;
  width: auto;
  left: 22vh;
  bottom: 22vh;
  pointer-events: none;
}
.devant-parapet picture {
  height: 100%;
}
article {
  width: 100%;
  max-width: 1200px;
  padding: 0 40px;
  margin: auto;
  margin-bottom: 40vh;
}

.table-conteneur {
  position: relative;
}
.table {
  position: relative;
  width: 100%;
  color: #000;
}
  .table div {
    font-size: .875rem;
  }
  .options {
    margin-bottom: 1.5rem;
  }
  .options div {
    position: relative;
    display: flex;
    align-items: center;
    height: 50px;
    font-size: 16px;
    /*color: #fff;*/
  }
.options .tri-spec {
  width: 20%;
  max-width: 180px;
}
.options .tri-annee {
  width: 25%;
  max-width: 230px;
}
.options .option-recherche {
  flex-grow: 1;
}
.options div::before, .options div::after {
  content: '';
  border-bottom: solid #000 1.5px;
  position: absolute;
  top: 0;
  left: 0;
  width: calc(100% - 8px);
}
.options .option-recherche::before, .options .option-recherche::after {
  width: 100%;
}
.options div::after {
  top: unset;
  bottom: 0;
}
  #search {
    flex-grow: 1;
    max-width: calc(100% - 40px);
    /*color: #fff;*/
    background: none;
    border: none;
  }
.option-recherche svg {
  position: relative;
  width: 20px;
  margin-right: 10px;
  transform: rotateY(180deg);
  opacity: .4;
  cursor: pointer;
}
  .option-recherche svg:hover {
    opacity: 1;
  }
.option-tri.active {
  background-color: #ffffff9d;
}
  .tri-click {
    cursor: pointer;
  }
  .tri-liste {
    display: none;
    position: absolute;
    top: 100%;
    /*width: 100%;*/
    border-bottom: solid #eee 1.5px;
    background-color: #000;
    padding: 10px 0;
  }
  .tri-liste.show, .option-tri:focus-visible .tri-liste, .tri-liste:focus-within {
    display: flex;
    flex-wrap: wrap;
    z-index: 1;
  }
  .tri-liste .annee, .tri-liste .spec {
    padding: 5px;
    cursor: pointer;
    color: #fff;
  }
  .tri-liste .annee:hover, .tri-liste .spec:hover {
    background-color: #eee;
    color: #000;
  }
  .options, .date {
    display: flex;
  }
.date {
  position: relative;
  flex-wrap: wrap;
  line-height: 1.2;
}
.date:hover {
  background-color: #ffffff9d;
}
.date::after {
  content: '';
  border-bottom: dotted 1px;
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
}

/*.infobulle {
  display: none;
  position: absolute;
  background-color: #fff;
  border: solid 1px;
  border-radius: 5px;
  padding: .3rem .5rem;
  transform: translate(-15%, -25%);
}
.date:hover .infobulle {
  display: block;
  z-index: 1;
}*/

.titre-spectacle {
  font-weight: bold;
}
.info {
  position: relative;
  border: none;
  padding: 15px 10px 15px 0;
}
.info-conteneur {
  display: flex;
  flex-grow: 1;
  width: 55%;
}
.info-conteneur .info {
  display: inline-block;
}
.info-lieu {
  flex-grow: 1;
}
  .info-titre a, .info-lieu a, .griffe a {
    display: inline-block;
    transform: rotateX(0);
    transform-origin: center;
    transition: transform .5s;
    font-size: inherit;
    /*color: #b4b4b4;*/
  }
.info-titre {
  width: 20%;
  max-width: 180px;
  font-weight: 500;
}
.info-titre:hover a {
  text-decoration: underline;
}
.info-date {
  width: 25%;
  max-width: 230px;
}
  .info-lieu a:hover, .griffe a:hover {
    transform: rotateX(180deg);
  }
  .info:first-child {
    text-align: left;
  }
  .titre-spectacle {
    padding-top: 4rem;
  }
  .ligne-titre .info:nth-child(2), .ligne-titre .info:nth-child(3) {
    padding: 0;
  }
  .date.hide {
    display: none;
  }
  .date:hover .info-ville sup, .date:hover .horaires {
    color: #757575;
  }
  .info-ville sup {
    font-size: 75%;
  }
  .horaires {
    font-size: 12px;
    display: inline-block;
    width: 100%;
  }
  .info-sup {
    display: inline-block;
    width: 100%;
    font-size: 70%;
  }
.info-ville {
  width: fit-content;
  text-transform: uppercase;
  text-align: right;
  padding: 15px 0;
  word-break: keep-all;
}
@media only screen and (max-width: 959px) {
    .options div {
      width: 33% !important;
    }
    .date {
      padding: 10px 0;
    }
    .info {
      padding: 1px 0;
    }
    .info::after {
      content: none;
    }
    .info-titre, .info-date, .info-conteneur {
      width: 100%;
    }
    .info-conteneur {
      display: block;
    }
    .info-conteneur .info {
      width: auto;
    }
    .info-titre {
      font-weight: 600;
      /*padding-left: 15px;*/
    }
    .info-date, .info-ville {
      min-width: unset;
    }
    .info-lieu {
      word-break: break-word;
    }
    .info-lieu {
      flex-grow: 1;
    }
    /*.infobulle {
      max-width: 200px;
      right: 0;
      bottom: 0;
      transform: none;
    }*/
}

@media only screen and (max-width: 800px) {
  article {
    padding: 0 20px;
  }
}

/* Premier terme du ratio = ratio img * hauteur banquise. ICI : (4000/762) * .25 = 1.312 */
@media screen and (min-aspect-ratio: 1.312/1) {
  .fond-banquise {
    transform: translateY(calc(3.8vw * var(--trans)));
  }
  .fond-banquise picture {
    height: auto !important;
  }
  .mannekenfly video {
    width: 5.3vw;
  }
}
/* Premier terme du ratio = ratio img * hauteur parapet. ICI : (4000/593) * .25 = 1.686 */
@media screen and (min-aspect-ratio: 1.686/1) {
  .devant-parapet {
    left: 13vw;
    height: 11.9vw;
  }
}
